import $ from 'jquery'

export const V2 = (url, data) => {
    $.ajax({ 
        type:"POST",
        url:url,
        data: JSON.stringify(data), 
        contentType: 'application/json',
        success: function(res) {
            console.log('jquery resp',res);
            console.log("Added");
        },
        error: function(xhr, status, err) {
            console.error(xhr, status, err.toString());
        }
    })  
}

export const V1 =  async (url, body)  => {
    let response = await fetch(url, {
        method: 'POST',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json'
        },
        body : JSON.stringify(body)
    })

    let req =  await response.json(); 
    console.log('register request',req )
}

export class Service {

    constructor(path){
        this.base_url = 'http://psicoadmin.ditca.org:8081'
        this.url =  this.base_url + path
        // this.api =  'http://204.48.25.93:8081/user?user=patrik&password=12345'
        // this.api =  'http://psicoadmin.ditca.org:8081/user?user=patrik&password=12345'
    }

    async post(body){
        console.log('body >> ', body)
        let response = await fetch(this.url, {
            method: "POST",
            body : JSON.stringify(body)
        })
        return await response.json(); 
    }
    
}

